import './ProposalSelector.css'
import React from 'react';
import Selectable from './Selectable';

export default function ProposalSelector({ games }) {

  const waitForYou = games
    .filter(game => game.status === Status.WaitForYou)
    .map(game => <Selectable game={game} />)

  const WaitForOpponent = games
    .filter(game => game.status === Status.WaitForOpponent)
    .map(game => <Selectable game={game} />)

  return <div className="Container">
    <div className="Games">
      {waitForYou}
      {WaitForOpponent.length > 0 &&
        <div className="separator">
          waiting for opponent ({WaitForOpponent.length})
        </div>
      }
      {WaitForOpponent}
    </div>
  </div>
};


const Status = {
  WaitForOpponent: "GAME_PROPOSAL_WAIT_FOR_OPPONENT",
  WaitForYou: "GAME_PROPOSAL_WAIT_FOR_YOU",
}
