import './Selectable.css'
import React from 'react';
import { oppositeColor } from '../Stone';
import Player from '../Player';

export default function Selectable({ game, onClick }) {

  const myColor = game.myColor

  const opponentColor = oppositeColor(myColor)
  const opponentName = game.opponentName

  return (
    <div className='selectable'>
      <div className='title' onClick={() => onClick(game)}>
        <Player color={myColor} />
        <i>vs</i>
        <Player color={opponentColor} name={opponentName} />
      </div>
      <q>{game.message}</q>
    </div>
  )
};

