export const reducer = (state, action) => {

  switch (action.component) {

    case "game-selector":
      return GameSelector_update(state, action)

    default:
      console.warn("Unknown action.component", action.component)
      return state
  }
}

export const initialState = {
  gameSelector: {
    selectedGameProposal: null,
    selectedActiveGame: null,
    selectedArchiveGame: null
  }
}

function GameSelector_update(state, action) {
  if (Object.hasOwn(action, 'selectedGameProposal'))
    return {
      ...state,
      gameSelector: {
        ...state.gameSelector,
        selectedGameProposal: action.selectedGameProposal
      }
    }

  if (Object.hasOwn(action, 'selectedActiveGame'))
    return {
      ...state,
      gameSelector: {
        ...state.gameSelector,
        selectedActiveGame: action.selectedActiveGame
      }
    }

  if (Object.hasOwn(action, 'selectedArchiveGame'))
    return {
      ...state,
      gameSelector: {
        ...state.gameSelector,
        selectedArchiveGame: action.selectedArchiveGame
      }
    }

    console.warn(action.component, "- bad property")
}
